/*
 *
 * Description:	Channel multipexer.
 *				Redirect the pulse found on GP3 to either GP1, or GP2, or GP4, or GP5
 *				depending on the number of pulses received on GP0.
 *              Pulses 5 to 8.
 *
 * Author Jean-Pierre PARISY <jpparisy@free.fr>
 *
 * Copyright (C) 2013
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#include "675_tuto6.h"

__EEPROM_DATA('T','u','t','o','-','6','_','3');

/* *************************************************************************************************** */

main (void)
{
	init (1);									// initializations

	for (;;) {									// loop for ever
		if (pulse_received ()) {				// if the two pulses are received
			count_sequence (5, 8);				// count the number of times the command pulse changes
			generate_frame ();					// generate the frame on output ports
		}
	}
}

/* *************************************************************************************************** */
